Bug 415521 - CPU 1 deactivated after resume from suspend
CPU 1 deactivated after resume from suspend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 06:35 EST by John Barnes
Modified: 2009-03-28 09:17 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.6.27.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-28 09:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Results of dmesg (120.96 KB, text/plain)
2009-02-22 21:35 EST, Jon Ernstberger
no flags Details
dmidecode from 2/22/2009 (13.57 KB, text/plain)
2009-02-22 21:37 EST, Jon Ernstberger
no flags Details

  None (edit)
Description John Barnes 2007-12-07 06:35:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
When resuming from suspend with Dell Latitude D830 (2.2 GHz Core 2 duo), the second CPU is labeled inactive by Kpowersave under KDE (both 32-bit and 64-bit installations of Fedora 8). I believe that this bug is not distribution specific as have seen it listed on another distribution (Ubuntu). 

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-42.fc8

How reproducible:
Always


Steps to Reproduce:
1. Suspend to RAM
2. Resume
3. Check Kpowersave
4. Run cpufreq-info and cat /proc/cpuinfo (results described in detail below)
5. Check /sys/device/system/cpu/cpu1/ ---> "cpufreq" directory is no longer present

Actual Results:
KPowersave lists Processor 2 "deactivated"

cpufreq-info for second CPU (CPU 1):

analyzing CPU 1:
  no or unknown cpufreq driver is active on this CPU
(more details below)

Expected Results:
KPowersave should say

Processor 2 800 MHz

Additional info:
cpufreq-info gives

cpufrequtils 002: cpufreq-info (C) Dominik Brodowski 2004-2006
Report errors and bugs to linux@brodo.de, please.
analyzing CPU 0:
  driver: acpi-cpufreq
  CPUs which need to switch frequency at the same time: 0
  hardware limits: 800 MHz - 2.20 GHz
  available frequency steps: 2.20 GHz, 2.20 GHz, 1.60 GHz, 1.20 GHz, 800 MHz
  available cpufreq governors: ondemand, userspace, performance
  current policy: frequency should be within 800 MHz and 2.20 GHz.
                  The governor "userspace" may decide which speed to use
                  within this range.
  current CPU frequency is 2.20 GHz (asserted by call to hardware).
analyzing CPU 1:
  no or unknown cpufreq driver is active on this CPU


After resume /sys/device/system/cpu/cpu1/cpufreq directory is no longer present.

and performing 

echo 1 > /sys/device/system/cpu/cpu1/online appears to result in "1" appearing in the file, but the cpufreq directory still does not exist.

If I perform cat /proc/cpuinfo I get:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
stepping        : 11
cpu MHz         : 800.000
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts ac
pi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx es
t tm2 ssse3 cx16 xtpr lahf_lm ida
bogomips        : 4392.99
clflush size    : 64

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
stepping        : 11
cpu MHz         : 797.680
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts ac
pi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx es
t tm2 ssse3 cx16 xtpr lahf_lm ida
bogomips        : 4389.68
clflush size    : 64

I am not sure if the second cpu is really deactived or the frequency scaling governor is simply disabled.
Comment 1 Jarod Wilson 2007-12-07 10:51:45 EST
I believe this would be a kernel bug, not a cpuspeed bug.
Comment 2 John Barnes 2008-03-27 07:50:51 EDT
As of 2.6.24.3-34.fc8 this bug still persists. 

With previous versions of the kernel, it was possible to simply perform

rmmod acpi_cpufreq
modprobe acpi_cpufreq

after suspend, thereby bringing back CPU 1. 

With 2.6.24.3-34 this no longer works as acpi_cpufreq is in use. Have tried
stopping cpuspeed before above commands - i.e.

/etc/rc.d/init.d/cpuspeed stop
rmmod acpi_cpufreq
modprobe acpi_cpufreq

but to no avail.

Also,

rmmod -f acpi_cpufreq

is not permitted.


Only option is to reboot which defeats the object of suspend.
Comment 3 Venkatesh Pallipadi 2008-03-27 13:37:38 EDT
Can you attach the output of

# grep . /sys/devices/system/cpu/cpu*/cpufreq/*

Before and after a suspend-resume cycle.
Comment 4 John Barnes 2008-03-28 04:53:33 EDT
grep . /sys/devices/system/cpu/cpu*/cpufreq/*

gives

Before suspend:
/sys/devices/system/cpu/cpu0/cpufreq/affected_cpus:0 1
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq:2200000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq:2201000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq:800000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies:2201000
2200000 1600000 1200000 800000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors:ondemand
userspace performance
/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq:2201000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_driver:acpi-cpufreq
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor:performance
/sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq:2201000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq:800000
/sys/devices/system/cpu/cpu1/cpufreq/affected_cpus:0 1
/sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_cur_freq:2200000
/sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_max_freq:2201000
/sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_min_freq:800000
/sys/devices/system/cpu/cpu1/cpufreq/scaling_available_frequencies:2201000
2200000 1600000 1200000 800000
/sys/devices/system/cpu/cpu1/cpufreq/scaling_available_governors:ondemand
userspace performance
/sys/devices/system/cpu/cpu1/cpufreq/scaling_cur_freq:2201000
/sys/devices/system/cpu/cpu1/cpufreq/scaling_driver:acpi-cpufreq
/sys/devices/system/cpu/cpu1/cpufreq/scaling_governor:performance
/sys/devices/system/cpu/cpu1/cpufreq/scaling_max_freq:2201000
/sys/devices/system/cpu/cpu1/cpufreq/scaling_min_freq:800000


After resume:
/sys/devices/system/cpu/cpu0/cpufreq/affected_cpus:0
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq:2200000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq:2201000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq:800000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies:2201000
2200000 1600000 1200000 800000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors:ondemand
userspace performance
/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq:2201000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_driver:acpi-cpufreq
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor:performance
/sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq:2201000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq:800000
Comment 5 John Barnes 2008-11-10 05:41:04 EST
This bug *STILL PERSISTS* in Fedora 9 with the same symptoms as in my last posting. There is a dublicate bug report #431604 confirming this.
Comment 6 Bug Zapper 2008-11-26 03:52:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 John Barnes 2008-12-09 07:03:58 EST
The bug still persists in Fedora 10. I've been reporting this since Fedora 8 and still no fix.

Linux pc-jrb 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i686 i686 i386 GNU/Linux

After suspend to RAM, /sys/devices/system/cpu/cpu1/cpufreq is no longer present

cat /proc/cpuinfo 
processor       : 0                  
vendor_id       : GenuineIntel       
cpu family      : 6                  
model           : 15                 
model name      : Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
stepping        : 11                                             
cpu MHz         : 800.000                                        
cache size      : 4096 KB                                        
physical id     : 0                                              
siblings        : 2                                              
core id         : 0                                              
cpu cores       : 2                                              
apicid          : 0                                              
initial apicid  : 0                                              
fdiv_bug        : no                                             
hlt_bug         : no                                             
f00f_bug        : no                                             
coma_bug        : no                                             
fpu             : yes                                            
fpu_exception   : yes                                            
cpuid level     : 10                                             
wp              : yes                                            
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm ida                                                                         
bogomips        : 4388.97                                                                             
clflush size    : 64                                                                                  
power management:                                                                                     

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6           
model           : 15          
model name      : Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz
stepping        : 11
cpu MHz         : 2194.489
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
apicid          : 1
initial apicid  : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm ida
bogomips        : 4389.01
clflush size    : 64
power management:
Comment 8 Dave Jones 2008-12-09 14:01:00 EST
can you boot with cpufreq.debug=7, and attach the dmesg output after a suspend/resume cycle please.
Comment 9 John Barnes 2008-12-10 09:56:32 EST
Below is the output from dmesg (kernel booted with cpufreq.debug=7) from immediately after the point of resume:

CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
iwl3945 0000:0c:00.0: PCI INT A disabled
__ratelimit: 403 callbacks suppressed
acpi-cpufreq: cpu 0: performance percent 38
acpi-cpufreq: cpu 1: performance percent 37
acpi-cpufreq: cpu 0: performance percent 36
acpi-cpufreq: cpu 1: performance percent 36
acpi-cpufreq: cpu 0: performance percent 36
acpi-cpufreq: cpu 1: performance percent 36
cpufreq-core: target for CPU 0: 2201000 kHz, relation 1
acpi-cpufreq: acpi_cpufreq_target 2201000 (0)
freq-table: request for target 2201000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2201000 kHz, 0)
cpufreq-core: setting new policy for CPU 0: 800000 - 2201000 kHz
acpi-cpufreq: acpi_cpufreq_verify
freq-table: request for verification of policy (800000 - 2201000 kHz) for cpu 0
freq-table: verification lead to (800000 - 2201000 kHz) for cpu 0
acpi-cpufreq: acpi_cpufreq_verify
freq-table: request for verification of policy (800000 - 2201000 kHz) for cpu 0
freq-table: verification lead to (800000 - 2201000 kHz) for cpu 0
cpufreq-core: new min and max freqs are 800000 - 2201000 kHz
cpufreq-core: governor switch
cpufreq-core: __cpufreq_governor for CPU 0, event 2
cpufreq-core: __cpufreq_governor for CPU 0, event 1
performance: setting to 2201000 kHz because of event 1
cpufreq-core: target for CPU 0: 2201000 kHz, relation 1
acpi-cpufreq: acpi_cpufreq_target 2201000 (0)
freq-table: request for target 2201000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2201000 kHz, 0)
acpi-cpufreq: Already at target state (P0)
cpufreq-core: governor: change or update limits
cpufreq-core: __cpufreq_governor for CPU 0, event 3
performance: setting to 2201000 kHz because of event 3
cpufreq-core: target for CPU 0: 2201000 kHz, relation 1
acpi-cpufreq: acpi_cpufreq_target 2201000 (0)
freq-table: request for target 2201000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2201000 kHz, 0)
acpi-cpufreq: Already at target state (P0)
PM: Syncing filesystems ... done.
PM: Preparing system for mem sleep
Freezing user space processes ... (elapsed 0.00 seconds) done.
Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
PM: Entering mem sleep
Suspending console(s) (use no_console_suspend to debug)
sd 5:0:0:0: [sdb] Stopping disk
btusb_intr_complete: hci0 urb f7f81180 failed to resubmit (2)
sd 0:0:0:0: [sda] Synchronizing SCSI cache
sd 0:0:0:0: [sda] Stopping disk
serial 00:09: disabled
ACPI handle has no context!
NVRM: RmPowerManagement: 4
ahci 0000:00:1f.2: PCI INT C disabled
ata5: port disabled. ignoring.
ata_piix 0000:00:1f.1: PCI INT A disabled
ehci_hcd 0000:00:1d.7: PCI INT A disabled
uhci_hcd 0000:00:1d.2: PCI INT C disabled
uhci_hcd 0000:00:1d.1: PCI INT B disabled
uhci_hcd 0000:00:1d.0: PCI INT A disabled
HDA Intel 0000:00:1b.0: PCI INT A disabled
ehci_hcd 0000:00:1a.7: PCI INT C disabled
uhci_hcd 0000:00:1a.1: PCI INT B disabled
uhci_hcd 0000:00:1a.0: PCI INT A disabled
ACPI: Preparing to enter system sleep state S3
Disabling non-boot CPUs ...
cpufreq-core: unregistering CPU 1
cpufreq-core: removing link
Breaking affinity for irq 1
Breaking affinity for irq 12
Breaking affinity for irq 17
Breaking affinity for irq 20
Breaking affinity for irq 22
CPU 1 is now offline
SMP alternatives: switching to UP code
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0 level CPU
  groups: 0
CPU1 is down
Extended CMOS year: 2000
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Back to C!
Extended CMOS year: 2000
cpufreq-core: setting new policy for CPU 0: 800000 - 2201000 kHz
acpi-cpufreq: acpi_cpufreq_verify
freq-table: request for verification of policy (800000 - 2201000 kHz) for cpu 0
freq-table: verification lead to (800000 - 2201000 kHz) for cpu 0
acpi-cpufreq: acpi_cpufreq_verify
freq-table: request for verification of policy (800000 - 2201000 kHz) for cpu 0
freq-table: verification lead to (800000 - 2201000 kHz) for cpu 0
cpufreq-core: new min and max freqs are 800000 - 2201000 kHz
cpufreq-core: governor: change or update limits
cpufreq-core: __cpufreq_governor for CPU 0, event 3
performance: setting to 2201000 kHz because of event 3
cpufreq-core: target for CPU 0: 2201000 kHz, relation 1
acpi-cpufreq: acpi_cpufreq_target 2201000 (0)
freq-table: request for target 2201000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2201000 kHz, 0)
acpi-cpufreq: Called after resume, resetting to P0
cpufreq-core: notification 0 of frequency transition to 2201000 kHz
cpufreq-core: notification 1 of frequency transition to 2201000 kHz
Enabling non-boot CPUs ...
SMP alternatives: switching to SMP code
CPU 1 irqstacks, hard=c089f000 soft=c087f000
Booting processor 1/1 ip 6000
Initializing CPU#1
Calibrating delay using timer specific routine.. 4389.04 BogoMIPS (lpj=2194521)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
CPU1: Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz stepping 0b
CPU0 attaching NULL sched-domain.
Switched to high resolution mode on CPU 1
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
cpufreq-core: adding CPU 1
acpi-cpufreq: acpi_cpufreq_cpu_init
ACPI Error (psloop-0136): Found unknown opcode FE at AML address f88307ca offset 3, ignoring [20080609]
ACPI Error (psloop-0136): Found unknown opcode 1F at AML address f88307cd offset 6, ignoring [20080609]
ACPI Error (psloop-0136): Found unknown opcode 2 at AML address f88307d4 offset D, ignoring [20080609]
ACPI Error (psloop-0136): Found unknown opcode C2 at AML address f88307d6 offset F, ignoring [20080609]
ACPI Error (psargs-0358): [EåEþ] Namespace lookup failure, AE_NOT_FOUND
ACPI Error (psparse-0530): Method parse/execution failed [\_PR_.CPU1._PCT] (Node f781b900), AE_NOT_FOUND
ACPI Exception (processor_perflib-0202): AE_NOT_FOUND, Evaluating _PCT [20080609]
cpufreq-core: initialization failed
CPU1 is up
ACPI: Waking up from system sleep state S3
pcieport-driver 0000:00:01.0: restoring config space at offset 0xf (was 0x100, writing 0x1a0100)
pcieport-driver 0000:00:01.0: restoring config space at offset 0xa (was 0xf, writing 0x0)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x9 (was 0x1fff1, writing 0xeff1e001)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x8 (was 0xfea0fa00, writing 0xf6e0f200)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x7 (was 0xf0, writing 0xe0e0)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x6 (was 0x0, writing 0x10100)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x3 (was 0x10000, writing 0x10010)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x1 (was 0x100007, writing 0x100107)
pcieport-driver 0000:00:01.0: setting latency timer to 64
uhci_hcd 0000:00:1a.0: enabling device (0000 -> 0001)
uhci_hcd 0000:00:1a.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1a.0: setting latency timer to 64
uhci_hcd 0000:00:1a.0: restoring config space at offset 0xf (was 0x100, writing 0x10b)
uhci_hcd 0000:00:1a.0: restoring config space at offset 0x8 (was 0x1, writing 0x6f21)
usb usb3: root hub lost power or was reset
uhci_hcd 0000:00:1a.1: enabling device (0000 -> 0001)
uhci_hcd 0000:00:1a.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1a.1: setting latency timer to 64
uhci_hcd 0000:00:1a.1: restoring config space at offset 0xf (was 0x200, writing 0x20a)
uhci_hcd 0000:00:1a.1: restoring config space at offset 0x8 (was 0x1, writing 0x6f01)
usb usb4: root hub lost power or was reset
ehci_hcd 0000:00:1a.7: enabling device (0000 -> 0002)
ehci_hcd 0000:00:1a.7: PCI INT C -> GSI 22 (level, low) -> IRQ 22
ehci_hcd 0000:00:1a.7: setting latency timer to 64
ehci_hcd 0000:00:1a.7: restoring config space at offset 0xf (was 0x300, writing 0x309)
ehci_hcd 0000:00:1a.7: restoring config space at offset 0x4 (was 0x0, writing 0xfed1c400)
ehci_hcd 0000:00:1a.7: restoring config space at offset 0x1 (was 0x2900006, writing 0x2900106)
HDA Intel 0000:00:1b.0: restoring config space at offset 0xf (was 0x100, writing 0x10a)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x4 (was 0xfebfc004, writing 0xf6ffc004)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100102)
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:1b.0: setting latency timer to 64
pcieport-driver 0000:00:1c.0: restoring config space at offset 0xf (was 0x100, writing 0x20100)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x8 (was 0x0, writing 0xfff0)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x7 (was 0x0, writing 0x200000f0)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x6 (was 0x0, writing 0xb0b00)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100107)
pcieport-driver 0000:00:1c.0: setting latency timer to 64
pcieport-driver 0000:00:1c.1: restoring config space at offset 0xf (was 0x200, writing 0x20200)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x8 (was 0x0, writing 0xf1f0f1f0)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x7 (was 0x0, writing 0xf0)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x6 (was 0x0, writing 0xc0c00)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x1 (was 0x100000, writing 0x100107)
pcieport-driver 0000:00:1c.1: setting latency timer to 64
pcieport-driver 0000:00:1c.3: restoring config space at offset 0xf (was 0x400, writing 0x20400)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x9 (was 0x10001, writing 0xf011f001)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x8 (was 0x0, writing 0xf1e0f1c0)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x7 (was 0x0, writing 0xd0d0)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x6 (was 0x0, writing 0xe0d00)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x1 (was 0x100000, writing 0x100007)
pcieport-driver 0000:00:1c.3: setting latency timer to 64
pcieport-driver 0000:00:1c.5: restoring config space at offset 0xf (was 0x200, writing 0x20200)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x8 (was 0x0, writing 0xf1b0f1b0)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x7 (was 0x0, writing 0xf0)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x6 (was 0x0, writing 0x90900)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x1 (was 0x100000, writing 0x100007)
pcieport-driver 0000:00:1c.5: setting latency timer to 64
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1d.0: setting latency timer to 64
usb usb5: root hub lost power or was reset
uhci_hcd 0000:00:1d.1: enabling device (0000 -> 0001)
uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1d.1: setting latency timer to 64
uhci_hcd 0000:00:1d.1: restoring config space at offset 0xf (was 0x200, writing 0x20a)
uhci_hcd 0000:00:1d.1: restoring config space at offset 0x8 (was 0x1, writing 0x6f61)
usb usb6: root hub lost power or was reset
uhci_hcd 0000:00:1d.2: enabling device (0000 -> 0001)
uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 22 (level, low) -> IRQ 22
uhci_hcd 0000:00:1d.2: setting latency timer to 64
uhci_hcd 0000:00:1d.2: restoring config space at offset 0xf (was 0x300, writing 0x309)
uhci_hcd 0000:00:1d.2: restoring config space at offset 0x8 (was 0x1, writing 0x6f41)
usb usb7: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 20 (level, low) -> IRQ 20
ehci_hcd 0000:00:1d.7: setting latency timer to 64
pci 0000:00:1e.0: restoring config space at offset 0x9 (was 0x100f1, writing 0x8bf18801)
pci 0000:00:1e.0: restoring config space at offset 0x8 (was 0xa0, writing 0xf1a0f1a0)
pci 0000:00:1e.0: restoring config space at offset 0x7 (was 0xa280e0f0, writing 0xa2802020)
pci 0000:00:1e.0: restoring config space at offset 0x6 (was 0x20030300, writing 0x20070300)
pci 0000:00:1e.0: setting latency timer to 64
pci 0000:00:1f.0: restoring config space at offset 0x1 (was 0x2100007, writing 0x2100107)
ata_piix 0000:00:1f.1: restoring config space at offset 0xf (was 0x100, writing 0x105)
ata_piix 0000:00:1f.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
ata_piix 0000:00:1f.1: setting latency timer to 64
ata5: port disabled. ignoring.
ahci 0000:00:1f.2: restoring config space at offset 0xf (was 0x300, writing 0x30a)
ahci 0000:00:1f.2: restoring config space at offset 0x9 (was 0x0, writing 0xf6ffb800)
ahci 0000:00:1f.2: restoring config space at offset 0x1 (was 0x2b00000, writing 0x2b00007)
ahci 0000:00:1f.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
ahci 0000:00:1f.2: setting latency timer to 64
i801_smbus 0000:00:1f.3: restoring config space at offset 0xf (was 0x200, writing 0x203)
i801_smbus 0000:00:1f.3: restoring config space at offset 0x4 (was 0x0, writing 0xf6ffb700)
i801_smbus 0000:00:1f.3: restoring config space at offset 0x1 (was 0x2800001, writing 0x2800103)
NVRM: RmPowerManagement: 5
ata3: SATA link down (SStatus 0 SControl 300)
ata4.00: configured for UDMA/33
tg3 0000:09:00.0: restoring config space at offset 0xc (was 0x0, writing 0x40d00000)
tg3 0000:09:00.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
tg3 0000:09:00.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100106)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0xf (was 0xc00100, writing 0x5c001ff)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0xe (was 0x1, writing 0x24fd)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0xd (was 0x1, writing 0x2401)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0xc (was 0x1, writing 0x20fd)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0xb (was 0x1, writing 0x2001)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0xa (was 0x0, writing 0x8ffff000)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x9 (was 0x0, writing 0x8c000000)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x8 (was 0x0, writing 0x8bfff000)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x7 (was 0x0, writing 0x88000000)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x6 (was 0x20000000, writing 0xb0070403)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x4 (was 0x0, writing 0xf1a00000)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x3 (was 0x824000, writing 0x82a800)
yenta_cardbus 0000:03:01.0: restoring config space at offset 0x1 (was 0x4100007, writing 0x4100087)
Yenta O2: res at 0x94/0xD4: 00/ea
Yenta O2: enabling read prefetch/write burst
firewire_ohci 0000:03:01.4: restoring config space at offset 0xf (was 0x100, writing 0x109)
firewire_ohci 0000:03:01.4: restoring config space at offset 0x5 (was 0x0, writing 0xf1afe800)
firewire_ohci 0000:03:01.4: restoring config space at offset 0x3 (was 0x4000, writing 0x4010)
firewire_ohci 0000:03:01.4: restoring config space at offset 0x1 (was 0x2100080, writing 0x2180117)
firewire_core: skipped bus generations, destroying all nodes
serial 00:09: activated
sd 0:0:0:0: [sda] Starting disk
firewire_core: created device fw0: GUID 434fc00032ab2470, S400
ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata1.00: configured for UDMA/100
sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
usb 3-2: reset full speed USB device using uhci_hcd and address 2
usb 6-2: reset low speed USB device using uhci_hcd and address 2
usb 7-1: reset full speed USB device using uhci_hcd and address 2
usb 7-1.2: reset full speed USB device using uhci_hcd and address 3
sd 5:0:0:0: [sdb] Starting disk
PM: Finishing wakeup.
Restarting tasks ... done.
cpufreq-core: setting new policy for CPU 0: 800000 - 2201000 kHz
acpi-cpufreq: acpi_cpufreq_verify
freq-table: request for verification of policy (800000 - 2201000 kHz) for cpu 0
freq-table: verification lead to (800000 - 2201000 kHz) for cpu 0
acpi-cpufreq: acpi_cpufreq_verify
freq-table: request for verification of policy (800000 - 2201000 kHz) for cpu 0
freq-table: verification lead to (800000 - 2201000 kHz) for cpu 0
cpufreq-core: new min and max freqs are 800000 - 2201000 kHz
cpufreq-core: governor switch
cpufreq-core: __cpufreq_governor for CPU 0, event 2
cpufreq-core: __cpufreq_governor for CPU 0, event 1
cpufreq-core: governor: change or update limits
cpufreq-core: __cpufreq_governor for CPU 0, event 3
__ratelimit: 76 callbacks suppressed
acpi-cpufreq: cpu 0: performance percent 78
cpufreq-core: target for CPU 0: 1343566 kHz, relation 0
acpi-cpufreq: acpi_cpufreq_target 1343566 (0)
freq-table: request for target 1343566 kHz (relation: 0) for cpu 0
freq-table: target is 2 (1600000 kHz, 2)
cpufreq-core: notification 0 of frequency transition to 1600000 kHz
cpufreq-core: notification 1 of frequency transition to 1600000 kHz
acpi-cpufreq: cpu 0: performance percent 70
cpufreq-core: target for CPU 0: 284694 kHz, relation 0
acpi-cpufreq: acpi_cpufreq_target 284694 (0)
ADDRCONF(NETDEV_UP): eth0: link is not ready
iwl3945 0000:0c:00.0: enabling device (0000 -> 0002)
iwl3945 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:0c:00.0: restoring config space at offset 0xf (was 0x100, writing 0x103)
iwl3945 0000:0c:00.0: restoring config space at offset 0x4 (was 0x0, writing 0xf1fff000)
iwl3945 0000:0c:00.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
iwl3945 0000:0c:00.0: restoring config space at offset 0x1 (was 0x100002, writing 0x100106)
Registered led device: iwl-phy0:radio
Registered led device: iwl-phy0:assoc
Registered led device: iwl-phy0:RX
Registered led device: iwl-phy0:TX
wlan0: authenticate with AP 00:12:cf:3b:c6:22
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: authenticate with AP 00:12:cf:3b:c6:22
wlan0: authenticated
wlan0: associate with AP 00:12:cf:3b:c6:22
wlan0: RX AssocResp from 00:12:cf:3b:c6:22 (capab=0x21 status=0 aid=2)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: disassociating by local choice (reason=3)
tg3: eth0: Link is up at 100 Mbps, full duplex.
tg3: eth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
__ratelimit: 309 callbacks suppressed
acpi-cpufreq: cpu 0: performance percent 60
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 54
acpi-cpufreq: cpu 0: performance percent 75
Comment 10 Jeppe R. Andersen 2008-12-30 17:26:27 EST
I can confirm this on F10 with kernel 2.6.27.9-159.fc10.i686 #1 SMP. After suspend, the directory mentioned above disappears, leaving the second kernel at full throttle eating up the battery. The problem does not appear after _hibernation_, only _suspend_. In its current form, hibernation is useless on multi-core laptops, since the battery will be used up very quickly after resuming.
Comment 11 Jon Ernstberger 2009-02-17 14:05:44 EST
I have the same dilemma in Fedora 10 on a Dell Latitude D630.  The results of 'uname -r' are

2.6.27.12-170.2.5.fc10.x86_64

I am running KDE 4.2 using Kpowersave.  After suspend, my second processor is also disabled.  The command 'cat /proc/cpuinfo' confirms that one core is running at 800.000 MHz and the second is at 1994.976 MHz.  This is the primary reason for battery loss on my laptop.

JME
Comment 12 John Barnes 2009-02-19 09:23:59 EST
The problem persists with the latest kernel: 2.6.27.15-170.2.24.fc10.i686 - /sys/devices/system/cpu/cpu1/cpufreq missing after resume following suspend to RAM.
Comment 13 Jon Ernstberger 2009-02-22 16:31:42 EST
Problem still persists with same kernel in x86_64 flavor.  I also tracked down the missing 

/sys/devices/system/cpu/cpu1/cpufreq

directory by tracking boot and shutdown messages.  Note that I couldn't copy those directories over from cpu0/ to cpu1/.
Comment 14 Kyle McMartin 2009-02-22 16:51:02 EST
Jon, what model of laptop do you have?

This looks suspiciously like an ACPI bug, because otherwise there'd be more than a handful of reports. Can you try reproducing with the 2.6.29-rc kernels in F-10 updates-testing?

Failing that, please each of you attach a full boot log (dmesg), dmidecode and acpidump.
Comment 15 Jeppe R. Andersen 2009-02-22 17:20:29 EST
I don't know what causes the problem, but reloading the cpuspeed module often resolves the issue. That is, after waking up from a suspend, I issue the commands:

/sbin/service cpuspeed stop
/sbin/rmmod acpi_cpufreq
/sbin/rmmod -as
/sbin/modprobe acpi_cpufreq
/sbin/service cpuspeed start

and the missing directory is back, and the speed of both cores are adjusted according to need. Note however, that this procedure messes up gnome gadgets monitoring the cpuspeed. I tried adding acpi_cpufreq to the list of modules to be unloaded by pm-utils upon suspend, but it didn't work (at least not in my attempts).

Hope this helps in solving the issue. I am not sure many people would check this and discover there is a problem in the first place... On another note, this problem does not even appear in Ubuntu 8.04 liveCD (sorry to mention this in this forum).
Comment 16 Jon Ernstberger 2009-02-22 21:32:50 EST
Kyle, My laptop is a Dell Latitude D630. Here's my dmesg:

a0, 6faf]
PCI: 0000:00:1f.2 reg 10 io port: [6eb0, 6eb7]
PCI: 0000:00:1f.2 reg 14 io port: [6eb8, 6ebb]
PCI: 0000:00:1f.2 reg 18 io port: [6ec0, 6ec7]
PCI: 0000:00:1f.2 reg 1c io port: [6ec8, 6ecb]
PCI: 0000:00:1f.2 reg 20 io port: [6ee0, 6eef]
PCI: 0000:00:1f.2 reg 24 io port: [eff0, efff]
pci 0000:00:1f.2: PME# supported from D3hot
pci 0000:00:1f.2: PME# disabled
PCI: 0000:00:1f.3 reg 10 32bit mmio: [f6ffbf00, f6ffbfff]
PCI: 0000:00:1f.3 reg 20 io port: [10c0, 10df]
PCI: 0000:01:00.0 reg 10 32bit mmio: [f5000000, f5ffffff]
PCI: 0000:01:00.0 reg 14 64bit mmio: [e0000000, efffffff]
PCI: 0000:01:00.0 reg 1c 64bit mmio: [f2000000, f3ffffff]
PCI: 0000:01:00.0 reg 24 io port: [df00, df7f]
PCI: 0000:01:00.0 reg 30 32bit mmio: [0, 1ffff]
PCI: bridge 0000:00:01.0 io port: [d000, dfff]
PCI: bridge 0000:00:01.0 32bit mmio: [f2000000, f6efffff]
PCI: bridge 0000:00:01.0 64bit mmio pref: [e0000000, efffffff]
PCI: 0000:0c:00.0 reg 10 32bit mmio: [f1fff000, f1ffffff]
pci 0000:0c:00.0: PME# supported from D0 D3hot D3cold
pci 0000:0c:00.0: PME# disabled
Pre-1.1 PCIe device detected, disable ASPM for 0000:00:1c.1. It can be enabled forcedly with 'pcie_aspm=force'
PCI: bridge 0000:00:1c.1 32bit mmio: [f1f00000, f1ffffff]
PCI: 0000:09:00.0 reg 10 64bit mmio: [f1ef0000, f1efffff]
pci 0000:09:00.0: PME# supported from D3hot D3cold
pci 0000:09:00.0: PME# disabled
PCI: bridge 0000:00:1c.5 32bit mmio: [f1e00000, f1efffff]
pci 0000:00:1e.0: transparent bridge
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP06._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 11) *7
ACPI: PCI Interrupt Link [LNKB] (IRQs *5 7)
ACPI: PCI Interrupt Link [LNKC] (IRQs 9 *10 11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 9 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp 00:0a: io resource (0x1000-0x1005) overlaps 0000:00:1f.0 BAR 7 (0x1000-0x107f), disabling
pnp 00:0a: io resource (0x1008-0x100f) overlaps 0000:00:1f.0 BAR 7 (0x1000-0x107f), disabling
pnp 00:0b: io resource (0x1006-0x1007) overlaps 0000:00:1f.0 BAR 7 (0x1000-0x107f), disabling
pnp 00:0b: io resource (0x100a-0x1059) overlaps 0000:00:1f.0 BAR 7 (0x1000-0x107f), disabling
pnp 00:0b: io resource (0x1060-0x107f) overlaps 0000:00:1f.0 BAR 7 (0x1000-0x107f), disabling
pnp 00:0b: io resource (0x1010-0x102f) overlaps 0000:00:1f.0 BAR 7 (0x1000-0x107f), disabling
pnp 00:0c: mem resource (0xdff00000-0xe06fffff) overlaps 0000:00:01.0 BAR 9 (0xe0000000-0xefffffff), disabling
pnp 00:0c: mem resource (0xdff00000-0xe06fffff) overlaps 0000:01:00.0 BAR 1 (0xe0000000-0xefffffff), disabling
pnp: PnP ACPI: found 13 devices
ACPI: ACPI bus type pnp unregistered
SCSI subsystem initialized
libata version 3.00 loaded.
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI-GART: No AMD northbridge found.
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
tracer: 1286 pages allocated for 65536 entries of 80 bytes
   actual entries 65586
ACPI: RTC can wake from S4
system 00:05: ioport range 0xc80-0xcaf has been reserved
system 00:05: ioport range 0xcc0-0xcff could not be reserved
system 00:08: iomem range 0xfed00000-0xfed003ff has been reserved
system 00:09: ioport range 0xcb0-0xcbb has been reserved
system 00:09: iomem range 0xfed40000-0xfed44fff could not be reserved
system 00:0a: ioport range 0x900-0x97f has been reserved
system 00:0a: ioport range 0x4d0-0x4d1 has been reserved
system 00:0b: ioport range 0xf400-0xf4fe has been reserved
system 00:0b: ioport range 0x1080-0x10bf has been reserved
system 00:0b: ioport range 0x10c0-0x10df has been reserved
system 00:0b: ioport range 0x809-0x809 has been reserved
system 00:0c: iomem range 0x0-0x9efff could not be reserved
system 00:0c: iomem range 0x9f000-0x9ffff could not be reserved
system 00:0c: iomem range 0xc0000-0xcffff has been reserved
system 00:0c: iomem range 0xe0000-0xfffff has been reserved
system 00:0c: iomem range 0x100000-0xdfe5a7ff could not be reserved
system 00:0c: iomem range 0xdfe5a800-0xdfefffff could not be reserved
system 00:0c: iomem range 0xdff00000-0xdfffffff could not be reserved
system 00:0c: iomem range 0xffe00000-0xffffffff could not be reserved
system 00:0c: iomem range 0xffa00000-0xffbfffff has been reserved
system 00:0c: iomem range 0xfec00000-0xfec0ffff could not be reserved
system 00:0c: iomem range 0xfee00000-0xfee0ffff could not be reserved
system 00:0c: iomem range 0xfed20000-0xfed3ffff could not be reserved
system 00:0c: iomem range 0xfed45000-0xfed8ffff could not be reserved
system 00:0c: iomem range 0xfeda0000-0xfeda3fff could not be reserved
system 00:0c: iomem range 0xfeda4000-0xfeda4fff could not be reserved
system 00:0c: iomem range 0xfeda5000-0xfeda5fff could not be reserved
system 00:0c: iomem range 0xfeda6000-0xfeda6fff has been reserved
system 00:0c: iomem range 0xfed18000-0xfed1bfff could not be reserved
system 00:0c: iomem range 0xf8000000-0xfbffffff could not be reserved
pci 0000:00:01.0: PCI bridge, secondary bus 0000:01
pci 0000:00:01.0:   IO window: 0xd000-0xdfff
pci 0000:00:01.0:   MEM window: 0xf2000000-0xf6efffff
pci 0000:00:01.0:   PREFETCH window: 0x000000e0000000-0x000000efffffff
pci 0000:00:1c.0: PCI bridge, secondary bus 0000:0b
pci 0000:00:1c.0:   IO window: disabled
pci 0000:00:1c.0:   MEM window: disabled
pci 0000:00:1c.0:   PREFETCH window: disabled
pci 0000:00:1c.1: PCI bridge, secondary bus 0000:0c
pci 0000:00:1c.1:   IO window: disabled
pci 0000:00:1c.1:   MEM window: 0xf1f00000-0xf1ffffff
pci 0000:00:1c.1:   PREFETCH window: disabled
pci 0000:00:1c.5: PCI bridge, secondary bus 0000:09
pci 0000:00:1c.5:   IO window: disabled
pci 0000:00:1c.5:   MEM window: 0xf1e00000-0xf1efffff
pci 0000:00:1c.5:   PREFETCH window: disabled
pci 0000:00:1e.0: PCI bridge, secondary bus 0000:03
pci 0000:00:1e.0:   IO window: disabled
pci 0000:00:1e.0:   MEM window: disabled
pci 0000:00:1e.0:   PREFETCH window: disabled
pci 0000:00:01.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:01.0: setting latency timer to 64
pci 0000:00:1c.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:1c.0: setting latency timer to 64
pci 0000:00:1c.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
pci 0000:00:1c.1: setting latency timer to 64
pci 0000:00:1c.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17
pci 0000:00:1c.5: setting latency timer to 64
pci 0000:00:1e.0: setting latency timer to 64
bus: 00 index 0 io port: [0, ffff]
bus: 00 index 1 mmio: [0, ffffffffffffffff]
bus: 01 index 0 io port: [d000, dfff]
bus: 01 index 1 mmio: [f2000000, f6efffff]
bus: 01 index 2 mmio: [e0000000, efffffff]
bus: 01 index 3 mmio: [0, 0]
bus: 0b index 0 mmio: [0, 0]
bus: 0b index 1 mmio: [0, 0]
bus: 0b index 2 mmio: [0, 0]
bus: 0b index 3 mmio: [0, 0]
bus: 0c index 0 mmio: [0, 0]
bus: 0c index 1 mmio: [f1f00000, f1ffffff]
bus: 0c index 2 mmio: [0, 0]
bus: 0c index 3 mmio: [0, 0]
bus: 09 index 0 mmio: [0, 0]
bus: 09 index 1 mmio: [f1e00000, f1efffff]
bus: 09 index 2 mmio: [0, 0]
bus: 09 index 3 mmio: [0, 0]
bus: 03 index 0 mmio: [0, 0]
bus: 03 index 1 mmio: [0, 0]
bus: 03 index 2 mmio: [0, 0]
bus: 03 index 3 io port: [0, ffff]
bus: 03 index 4 mmio: [0, ffffffffffffffff]
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 8, 1048576 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
NET: Registered protocol family 1
checking if image is initramfs... it is
Switched to high resolution mode on CPU 1
Switched to high resolution mode on CPU 0
Freeing initrd memory: 3372k freed
audit: initializing netlink socket (disabled)
type=2000 audit(1235264001.606:1): initialized
HugeTLB registered 2 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
msgmni has been set to 7925
SELinux:  Registering netfilter hooks
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci 0000:01:00.0: Boot video device
pcieport-driver 0000:00:01.0: setting latency timer to 64
pcieport-driver 0000:00:01.0: found MSI capability
pci_express 0000:00:01.0:pcie00: allocate port service
pci_express 0000:00:01.0:pcie02: allocate port service
pci_express 0000:00:01.0:pcie03: allocate port service
pcieport-driver 0000:00:1c.0: setting latency timer to 64
pcieport-driver 0000:00:1c.0: found MSI capability
pci_express 0000:00:1c.0:pcie00: allocate port service
pci_express 0000:00:1c.0:pcie02: allocate port service
pci_express 0000:00:1c.0:pcie03: allocate port service
pcieport-driver 0000:00:1c.1: setting latency timer to 64
pcieport-driver 0000:00:1c.1: found MSI capability
pci_express 0000:00:1c.1:pcie00: allocate port service
pci_express 0000:00:1c.1:pcie02: allocate port service
pci_express 0000:00:1c.1:pcie03: allocate port service
pcieport-driver 0000:00:1c.5: setting latency timer to 64
pcieport-driver 0000:00:1c.5: found MSI capability
pci_express 0000:00:1c.5:pcie00: allocate port service
pci_express 0000:00:1c.5:pcie02: allocate port service
pci_express 0000:00:1c.5:pcie03: allocate port service
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
acpiphp_glue: can't get bus number, assuming 0
decode_hpp: Could not get hotplug parameters. Use defaults
acpiphp: Slot [1] registered
input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0
ACPI: Lid Switch [LID]
input: Power Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1
ACPI: Power Button (CM) [PBTN]
input: Sleep Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2
ACPI: Sleep Button (CM) [SBTN]
ACPI: SSDT DFE5C4F6, 0286 (r1  PmRef  Cpu0Ist     3000 INTL 20050624)
ACPI: SSDT DFE5BE8C, 05E5 (r1  PmRef  Cpu0Cst     3001 INTL 20050624)
Monitor-Mwait will be used to enter C-1 state
Monitor-Mwait will be used to enter C-2 state
Monitor-Mwait will be used to enter C-3 state
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
processor ACPI0007:00: registered as cooling_device0
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: SSDT DFE5C77C, 00C4 (r1  PmRef  Cpu1Ist     3000 INTL 20050624)
ACPI: SSDT DFE5C471, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20050624)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
processor ACPI0007:01: registered as cooling_device1
ACPI: Processor [CPU1] (supports 8 throttling states)
thermal LNXTHERM:01: registered as thermal_zone0
ACPI: Thermal Zone [THM] (44 C)
hpet_resources: 0xfed00000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
Serial: 8250/16550 driver4 ports, IRQ sharing enabled
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input3
Driver 'sd' needs updating - please use bus_type methods
Driver 'sr' needs updating - please use bus_type methods
ata_piix 0000:00:1f.1: version 2.12
ata_piix 0000:00:1f.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
ata_piix 0000:00:1f.1: setting latency timer to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x6fa0 irq 14
ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x6fa8 irq 15
ata1.00: ATAPI: Optiarc DVD+/-RW AD-7580A, ZD04, max UDMA/33
ata1.00: configured for UDMA/33
ata2: port disabled. ignoring.
scsi 0:0:0:0: CD-ROM            Optiarc  DVD+-RW AD-7580A ZD04 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
sr 0:0:0:0: Attached scsi generic sg0 type 5
ata_piix 0000:00:1f.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
ata_piix 0000:00:1f.2: setting latency timer to 64
scsi2 : ata_piix
scsi3 : ata_piix
ata3: SATA max UDMA/133 cmd 0x6eb0 ctl 0x6eb8 bmdma 0x6ee0 irq 18
ata4: SATA max UDMA/133 cmd 0x6ec0 ctl 0x6ec8 bmdma 0x6ee8 irq 18
ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata3.00: ATA-8: ST9120817AS, 3.ADA, max UDMA/133
ata3.00: 234441648 sectors, multi 8: LBA48 NCQ (depth 0/32)
ata3.00: configured for UDMA/133
ata4: SATA link down (SStatus 0 SControl 0)
scsi 2:0:0:0: Direct-Access     ATA      ST9120817AS      3.AD PQ: 0 ANSI: 5
sd 2:0:0:0: [sda] 234441648 512-byte hardware sectors (120034 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 2:0:0:0: [sda] 234441648 512-byte hardware sectors (120034 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
sd 2:0:0:0: [sda] Attached SCSI disk
sd 2:0:0:0: Attached scsi generic sg1 type 0
ehci_hcd 0000:00:1a.7: PCI INT C -> GSI 22 (level, low) -> IRQ 22
ehci_hcd 0000:00:1a.7: setting latency timer to 64
ehci_hcd 0000:00:1a.7: EHCI Host Controller
ehci_hcd 0000:00:1a.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1a.7: debug port 1
ehci_hcd 0000:00:1a.7: cache line size of 32 is not supported
ehci_hcd 0000:00:1a.7: irq 22, io mem 0xfed1c400
ehci_hcd 0000:00:1a.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 4 ports detected
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 ehci_hcd
usb usb1: SerialNumber: 0000:00:1a.7
ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 20 (level, low) -> IRQ 20
ehci_hcd 0000:00:1d.7: setting latency timer to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: cache line size of 32 is not supported
ehci_hcd 0000:00:1d.7: irq 20, io mem 0xfed1c000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 6 ports detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: EHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 ehci_hcd
usb usb2: SerialNumber: 0000:00:1d.7
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
USB Universal Host Controller Interface driver v3.0
uhci_hcd 0000:00:1a.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1a.0: setting latency timer to 64
uhci_hcd 0000:00:1a.0: UHCI Host Controller
uhci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1a.0: irq 20, io base 0x00006f20
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 uhci_hcd
usb usb3: SerialNumber: 0000:00:1a.0
uhci_hcd 0000:00:1a.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1a.1: setting latency timer to 64
uhci_hcd 0000:00:1a.1: UHCI Host Controller
uhci_hcd 0000:00:1a.1: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1a.1: irq 21, io base 0x00006f00
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 uhci_hcd
usb usb4: SerialNumber: 0000:00:1a.1
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1d.0: setting latency timer to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.0: irq 20, io base 0x00006f80
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.0
uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1d.1: setting latency timer to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 6
uhci_hcd 0000:00:1d.1: irq 21, io base 0x00006f60
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb6: Product: UHCI Host Controller
usb usb6: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 uhci_hcd
usb usb6: SerialNumber: 0000:00:1d.1
uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 22 (level, low) -> IRQ 22
uhci_hcd 0000:00:1d.2: setting latency timer to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 7
uhci_hcd 0000:00:1d.2: irq 22, io base 0x00006f40
usb usb7: configuration #1 chosen from 1 choice
hub 7-0:1.0: USB hub found
hub 7-0:1.0: 2 ports detected
usb usb7: New USB device found, idVendor=1d6b, idProduct=0001
usb usb7: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb7: Product: UHCI Host Controller
usb usb7: Manufacturer: Linux 2.6.27.15-170.2.24.fc10.x86_64 uhci_hcd
usb usb7: SerialNumber: 0000:00:1d.2
PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input4
rtc_cmos 00:03: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one month, y3k, hpet irqs
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.14.0-ioctl (2008-04-23) initialised: dm-devel@redhat.com
cpuidle: using governor ladder
cpuidle: using governor menu
Marking TSC unstable due to TSC halts in idle
usb 7-1: new full speed USB device using uhci_hcd and address 2
usb 7-1: configuration #1 chosen from 1 choice
hub 7-1:1.0: USB hub found
hub 7-1:1.0: 4 ports detected
usb 7-1: New USB device found, idVendor=0b97, idProduct=7761
usb 7-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
usb 7-1.2: new full speed USB device using uhci_hcd and address 3
Clocksource tsc unstable (delta = -376788128 ns)
input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input5
usb 7-1.2: configuration #1 chosen from 1 choice
usb 7-1.2: New USB device found, idVendor=0b97, idProduct=7772
usb 7-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 7-1.2: Product: O2Micro CCID SC Reader
usb 7-1.2: Manufacturer: O2
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Plase use
nf_conntrack.acct=1 kernel paramater, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
registered taskstats version 1
  Magic number: 13:961:860
Freeing unused kernel memory: 1296k freed
Write protecting the kernel read-only data: 4748k
input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input6
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
type=1404 audit(1235264010.961:2): selinux=0 auid=4294967295 ses=4294967295
udevd version 127 started
CE: hpet increasing min_delta_ns to 15000 nsec
dcdbas dcdbas: Dell Systems Management Base Driver (version 5.6.0-3.2)
ACPI: AC Adapter [AC] (off-line)
ACPI: WMI: Mapper loaded
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:31/device:32/input/input7
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:37/input/input8
ACPI: Video Device [VID1] (multi-head: yes  rom: no  post: no)
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:3c/input/input9
ACPI: Video Device [VID2] (multi-head: yes  rom: no  post: no)
ACPI: \_SB_.PCI0.IDE0.SEC0.MAST: found ejectable bay
ACPI: \_SB_.PCI0.IDE0.SEC0.MAST: Adding notify handler
ACPI: Error installing bay notify handler
ACPI: \_SB_.PCI0.IDE1.PRI_.MAST: found ejectable bay
ACPI: \_SB_.PCI0.IDE1.PRI_.MAST: Adding notify handler
ACPI: Error installing bay notify handler
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Battery Slot [BAT1] (battery absent)
input: PC Speaker as /devices/platform/pcspkr/input/input10
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26kds
iwl3945: Copyright(c) 2003-2008 Intel Corporation
iwl3945 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:0c:00.0: setting latency timer to 64
iwl3945: Detected Intel Wireless WiFi Link 3945ABG
iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
nvidia: module license 'NVIDIA' taints kernel.
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.03 (30-Apr-2008)
iTCO_wdt: Found a ICH8M TCO device (Version=2, TCOBASE=0x1060)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
iwl3945 0000:0c:00.0: PCI INT A disabled
nvidia 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
nvidia 0000:01:00.0: setting latency timer to 64
NVRM: loading NVIDIA UNIX x86_64 Kernel Module  180.29  Wed Feb  4 23:39:47 PST 2009
i801_smbus 0000:00:1f.3: PCI INT B -> GSI 17 (level, low) -> IRQ 17
tg3.c:v3.94 (August 14, 2008)
tg3 0000:09:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
tg3 0000:09:00.0: setting latency timer to 64
eth0: Tigon3 [partno(BCM95755m) rev a002 PHY(5755)] (PCI Express) 10/100/1000Base-T Ethernet 00:21:70:9b:8a:1e
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] WireSpeed[1] TSOcap[1]
eth0: dma_rwctrl[76180000] dma_mask[64-bit]
HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:1b.0: setting latency timer to 64
ALSA sound/pci/hda/hda_codec.c:3021: autoconfig: line_outs=1 (0xd/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3025:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3029:    hp_outs=1 (0xa/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3030:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3038:    inputs: mic=0xb, fmic=0xc, line=0x0, fline=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/patch_sigmatel.c:2418: dac_nids=1 (0x10/0x0/0x0/0x0/0x0)
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on sda5, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
fuse init (API version 7.9)
Adding 4000176k swap on /dev/sda3.  Priority:-1 extents:1 across:4000176k
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
firmware: requesting intel-ucode/06-0f-0d
firmware: requesting intel-ucode/06-0f-0d
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ip6_tables: (C) 2000-2006 Netfilter Core Team
RPC: Registered udp transport module.
RPC: Registered tcp transport module.
Bluetooth: Core ver 2.13
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.11
Bluetooth: L2CAP socket layer initialized
Bluetooth: SCO (Voice Link) ver 0.6
Bluetooth: SCO socket layer initialized
Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Bluetooth: BNEP filters: protocol multicast
Bridge firewalling registered
ADDRCONF(NETDEV_UP): eth0: link is not ready
iwl3945 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:0c:00.0: restoring config space at offset 0x1 (was 0x100102, writing 0x100106)
firmware: requesting iwlwifi-3945-1.ucode
Registered led device: iwl-phy0:radio
Registered led device: iwl-phy0:assoc
Registered led device: iwl-phy0:RX
Registered led device: iwl-phy0:TX
ADDRCONF(NETDEV_UP): wlan0: link is not ready
virbr0: starting userspace STP failed, starting kernel STP
Not cloning cgroup for unused subsystem ns
wlan0: authenticate with AP 00:14:6c:14:ce:f0
wlan0: authenticated
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: RX AssocResp from 00:14:6c:14:ce:f0 (capab=0x421 status=0 aid=1)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: disassociating by local choice (reason=3)
CE: hpet increasing min_delta_ns to 22500 nsec
virbr0: no IPv6 routers present
wlan0: no IPv6 routers present
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: RX ReassocResp from 00:14:6c:14:ce:f0 (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: disassociating by local choice (reason=3)
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
  domain 1: span 0-1 level CPU
   groups: 0-1
   domain 2: span 0-1 level NODE
    groups: 0-1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
  domain 1: span 0-1 level CPU
   groups: 0-1
   domain 2: span 0-1 level NODE
    groups: 0-1
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: RX ReassocResp from 00:14:6c:14:ce:f0 (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: disassociating by local choice (reason=3)
nepomukservices[2889] general protection ip:35d9456c2e sp:7fff93088f10 error:0 in libQtCore.so.4.4.3[35d9400000+21e000]
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: RX ReassocResp from 00:14:6c:14:ce:f0 (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: authenticate with AP 00:14:6c:14:ce:f0
wlan0: authenticated
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: authenticate with AP 00:14:6c:14:ce:f0
wlan0: authenticated
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: RX ReassocResp from 00:14:6c:14:ce:f0 (capab=0x421 status=0 aid=1)
wlan0: associated
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
  domain 1: span 0-1 level CPU
   groups: 0-1
   domain 2: span 0-1 level NODE
    groups: 0-1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
  domain 1: span 0-1 level CPU
   groups: 0-1
   domain 2: span 0-1 level NODE
    groups: 0-1
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
  domain 1: span 0-1 level NODE
   groups: 0-1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
  domain 1: span 0-1 level NODE
   groups: 0-1
wlan0: disassociating by local choice (reason=3)
wlan0: authenticate with AP 00:14:6c:14:ce:f0
wlan0: authenticated
wlan0: associate with AP 00:14:6c:14:ce:f0
wlan0: RX AssocResp from 00:14:6c:14:ce:f0 (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: disassociating by local choice (reason=3)
iwl3945 0000:0c:00.0: PCI INT A disabled
PM: Syncing filesystems ... done.
PM: Preparing system for mem sleep
Freezing user space processes ... (elapsed 0.00 seconds) done.
Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
PM: Entering mem sleep
Suspending console(s) (use no_console_suspend to debug)
sd 2:0:0:0: [sda] Synchronizing SCSI cache
sd 2:0:0:0: [sda] Stopping disk
NVRM: RmPowerManagement: 4
ata_piix 0000:00:1f.2: PCI INT C disabled
ata2: port disabled. ignoring.
ata_piix 0000:00:1f.1: PCI INT A disabled
ehci_hcd 0000:00:1d.7: PCI INT A disabled
uhci_hcd 0000:00:1d.2: PCI INT C disabled
uhci_hcd 0000:00:1d.1: PCI INT B disabled
uhci_hcd 0000:00:1d.0: PCI INT A disabled
HDA Intel 0000:00:1b.0: PCI INT A disabled
ehci_hcd 0000:00:1a.7: PCI INT C disabled
uhci_hcd 0000:00:1a.1: PCI INT B disabled
uhci_hcd 0000:00:1a.0: PCI INT A disabled
ACPI: Preparing to enter system sleep state S3
Disabling non-boot CPUs ...
Broke affinity for irq 9
Broke affinity for irq 22
CPU 1 is now offline
SMP alternatives: switching to UP code
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching NULL sched-domain.
CPU1 is down
Extended CMOS year: 2000
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
Back to C!
Extended CMOS year: 2000
pcieport-driver 0000:00:01.0: restoring config space at offset 0xf (was 0x100, writing 0x1a0100)
pcieport-driver 0000:00:01.0: restoring config space at offset 0xa (was 0xf, writing 0x0)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x9 (was 0x1fff1, writing 0xeff1e001)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x8 (was 0xfea0fa00, writing 0xf6e0f200)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x7 (was 0xf0, writing 0xd0d0)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x6 (was 0x0, writing 0x10100)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x3 (was 0x10000, writing 0x10010)
pcieport-driver 0000:00:01.0: restoring config space at offset 0x1 (was 0x100007, writing 0x100107)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0xf (was 0x100, writing 0x20100)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x8 (was 0x0, writing 0xfff0)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x7 (was 0x0, writing 0x200000f0)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x6 (was 0x0, writing 0xb0b00)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100107)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0xf (was 0x200, writing 0x20200)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x8 (was 0x0, writing 0xf1f0f1f0)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x7 (was 0x0, writing 0xf0)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x6 (was 0x0, writing 0xc0c00)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x1 (was 0x100000, writing 0x100107)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0xf (was 0x200, writing 0x20200)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x8 (was 0x0, writing 0xf1e0f1e0)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x7 (was 0x0, writing 0xf0)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x6 (was 0x0, writing 0x90900)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.5: restoring config space at offset 0x1 (was 0x100000, writing 0x100007)
pci 0000:00:1e.0: restoring config space at offset 0x9 (was 0x100f1, writing 0x1fff1)
pci 0000:00:1e.0: restoring config space at offset 0x8 (was 0xf0, writing 0xfff0)
pci 0000:00:1e.0: restoring config space at offset 0x7 (was 0xa280e0f0, writing 0xa28000f0)
pci 0000:00:1f.0: restoring config space at offset 0x1 (was 0x2100007, writing 0x2100107)
Enabling non-boot CPUs ...
SMP alternatives: switching to SMP code
Booting processor 1/1 ip 6000
Initializing CPU#1
Calibrating delay using timer specific routine.. 3966.72 BogoMIPS (lpj=1983360)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
CPU1: Intel(R) Core(TM)2 Duo CPU     T7250  @ 2.00GHz stepping 0d


I'll do the rest in another message.
Comment 17 Jon Ernstberger 2009-02-22 21:35:04 EST
Created attachment 332892 [details]
Results of dmesg

Here's my dmesg from 2/22/2009.
Comment 18 Jon Ernstberger 2009-02-22 21:37:09 EST
Created attachment 332893 [details]
dmidecode from 2/22/2009

Here's my dmidecode.  Ignore the huge dmesg I put in line.

Jon
Comment 19 Jon Ernstberger 2009-02-23 09:20:41 EST
I'm not finding a 2.6.29 kernel in the fedora-updates-testing repo.

yum update --enablerepo=updates-testing

reveals a great many packages to be updated, but none of them are kernels.

Jon
Comment 20 Jon Ernstberger 2009-02-24 12:18:02 EST
So, I ended up issuing the

yum update kernel --enablerepo=rawhide

to test and a 2.6.29 kernel was in there.  When I accepted the upgrade, I downloaded the accompanying kernel-source and firmware packages.  I rebooted and issued 'uname -r'  which gives

2.6.29-0.137.rc5.git4.fc11.x86_64

After one suspend/resume cycle, I can resume/suspend with both CPUs retaining their ability to (now and not in 2.6.27 kernels) throttle independently of each other.

Thanks for the help.  I only hope the rawhide kernel isn't horrendously unstable.

JME
Comment 21 Kyle McMartin 2009-02-24 13:00:57 EST
I'm not sure why you weren't able to pull them from updates-testing, but we're definitely building some for it... if you want to drop back to the f10 version:

http://koji.fedoraproject.org/koji/buildinfo?buildID=83870

cheers, Kyle
Comment 22 Jon Ernstberger 2009-02-24 13:44:29 EST
are there any issues with me running the f11 kernel?
Comment 23 Jon Ernstberger 2009-02-24 13:44:53 EST
are there any issues with me running the f11 kernel as opposed to the f10 kernel?
Comment 24 Kyle McMartin 2009-02-24 13:52:22 EST
It depends, the rawhide kernel obviously expects rawhide userspace, so if things like kernel modesetting on intel get turned on, your F10 X will not be able to handle it.

In general, I'd advise against it, but in theory you're likely alright. I expect this will equally well with the F-10 2.6.29 kernel anyway, since it's effectively the same with just a few config options different.

regards, Kyle
Comment 25 Jeppe R. Andersen 2009-03-04 04:18:29 EST
The problem I saw has been resolved by the last round of kernel updates in the standard F10 tree. Am now running 2.6.27.19-170.2.35.fc10.i686. The cpu speeds are now controlled also after a wakeup from suspend. Well done.

What solved/caused the issue?

Cheers, Jeppe
Comment 26 Chuck Ebbert 2009-03-28 09:17:08 EDT
(In reply to comment #25)
> The problem I saw has been resolved by the last round of kernel updates in the
> standard F10 tree. Am now running 2.6.27.19-170.2.35.fc10.i686. The cpu speeds
> are now controlled also after a wakeup from suspend. Well done.
> 
> What solved/caused the issue?

It was probably the ACPI updates that fixed it.

Note You need to log in before you can comment on or make changes to this bug.